cryptol-3.0.0: Cryptol: The Language of Cryptography

Copyright | (c) 2013-2020 Galois Inc.
License | BSD3
Maintainer | cryptol@galois.com
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Cryptol.Eval.Concrete

Description

Synopsis

- module Cryptol.Backend.Concrete
- type Value = GenValue Concrete
- primTable :: IO EvalOpts -> Map PrimIdent (Prim Concrete)
- toExpr :: PrimMap -> TValue -> Value -> Eval (Maybe Expr)

# Documentation

module Cryptol.Backend.Concrete

type Value = GenValue Concrete Source #

primTable :: IO EvalOpts -> Map PrimIdent (Prim Concrete) Source #

toExpr :: PrimMap -> TValue -> Value -> Eval (Maybe Expr) Source #

Given an expected type, returns an expression that evaluates to this value, if we can determine it.